<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>

<!-- turn off subpixel rendering by default -->

        <match target="font">
                <edit name="rgba" mode="assign">
                        <const>unknown</const>
                </edit>
        </match>

<!--
  The dual-width Asian fonts (spacing=dual) are not rendered correctly,
  apparently Xft forces all widths to match. Trying to disable the
  width forcing code by setting globaladvance=false alone doesn't  help.
  As a brute force workaround, also set spacing=proportional, i.e. handle
  them as proportional fonts:
-->

        <match target="font">
                <test name="lang" compare="contains">
                        <string>ja</string>
                        <string>zh</string>
                        <string>ko</string>
                </test>
                <test name="spacing" compare="eq">
                        <const>dual</const>
                </test>
                <edit name="spacing">
                        <const>proportional</const>
                </edit>
                <edit name="globaladvance" binding="strong">
                        <bool>false</bool>
                </edit>
        </match>

<!--
  There is a similar problem with dual width bitmap fonts. They don't
  have spacing=dual, therefore they are not handled by the above rule
  and still display as charcell fonts. For example "Efont Biwidth"
  has spacing=mono and "Misc Fixed Wide" has spacing=charcell.
  Force handling of these fonts as proportional fonts as well:
-->

        <match target="font">
                <test name="lang" compare="contains">
                        <string>ja</string>
                        <string>zh</string>
                        <string>ko</string>
                </test>
                <test name="outline" compare="eq">
                        <bool>false</bool>
                </test>
                <test name="spacing" compare="eq">
                        <const>mono</const>
                        <const>charcell</const>
                </test>
                <edit name="spacing">
                        <const>proportional</const>
                </edit>
                <edit name="globaladvance" binding="strong">
                        <bool>false</bool>
                </edit>
        </match>

<!--
  If the original Adobe "Symbol" font is not available, use
  the URW font "Standard Symbols L" as a replacement.
  (needed for Mozilla to display symbols, see
  
-->

        <match target="pattern">
                <test name="family">
                        <string>symbol</string>
                </test>
                <edit name="family" mode="append" binding="strong">
                        <string>Standard Symbols L</string>
                </edit>
        </match>

<!--
  Use  "Misc Console" (or "Misc Console Wide") instead of "console"
  (needed to make the menu entry labelled "Linux" in the font menu of
  KDE's konsole choose the same font as it used to).
-->
        <match target="pattern">
                <test name="family">
                        <string>console</string>
                </test>
                <edit name="family" mode="prepend" binding="strong">
                        <string>Misc Console</string>
                </edit>
                <edit name="family" mode="prepend" binding="strong">
                        <string>Misc Console Wide</string>
                </edit>
        </match>

<!-- ************************************************************ -->
<!-- Hinting and antialiasing                                     -->
<!-- ************************************************************ -->

	<include ignore_missing="yes">suse-hinting.conf</include>

<!-- ************************************************************ -->
<!-- Bitmap related stuff                                         -->
<!-- ************************************************************ -->

	<include ignore_missing="yes">suse-bitmaps.conf</include>

</fontconfig>

